
import java.awt.*;
import javax.swing.*;
import java.util.*;

public class sw2
{
    public static void main(String[] args)
    {
        JFrame főablak = new JFrame("a főablak címe");
        főablak.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        főablak.setSize(500, 500);

        főablak.setLayout(new BorderLayout());

        SajatPanel s = new SajatPanel();
        főablak.add(s, BorderLayout.CENTER);

        főablak.setVisible(true);
    }

}


class Pont
{
    int x;
    int y;

    public Pont(int x, int y) {
        this.x = x;
        this.y = y;
    }

    public void kirajzol(Graphics2D g) {
        g.drawLine(x + 2, y + 2, x - 2, y - 2);
        g.drawLine(x + 2, y - 2, x - 2, y + 2);
    }
}


class SajatPanel extends JPanel
{
    LinkedList<Pont> p;

    public SajatPanel()
    {
        super();

        p = new LinkedList<Pont>();
        Random r = new Random();
        for (int i = 0; i < 1000; ++i)
        {
            p.add(new Pont(2 + r.nextInt(496), 2 + r.nextInt(496)));
        }
    }

    public void paint(Graphics g)
    {
        Graphics2D g2 = (Graphics2D)g;

        for (Pont pp : p)   pp.kirajzol(g2);
        g2.drawOval(200, 200, 100, 100);
    }
}
